About Mulberry

Mulberry is a powerful, easy to use electronic mail (email) program that allows you to send, access, and manage email. Mulberry also helps you manage other email-related information, such as address books.

To ensure maximum compatibility with existing mail servers, Mulberry uses Internet-standard protocols such as IMAP and POP3 for reading mail messages, SMTP for sending mail messages, MIME for sending and receiving attachments within messages, IMSP and ACAP for storage of preferences and address books on a remote server, and LDAP for address lookups.

Mulberry has been designed to fully exploit the graphical user interface provided by the Mac OS. For example, Mulberry supports drag and drop so that selected items, such as messages, addresses, or any text, can be dragged onto other items to facilitate copying of items from one location to another. Comprehensive Balloon Help is available throughout the program. Users of Mac OS 8 or later will also find contextual menu support throughout Mulberry.

© Cyrusoft International, Inc. 1995 - 2002


What's New

What's new in Mulberry v3

    Major Changes:

  • New (optional) 3-pane window for mailbox and contacts display
  • 3-pane mailbox preview can use a 'tabbed' display
  • Preview panes for mailbox and address book windows
  • Traditional toolbars for all windows
  • New text macro facility
  • Now supports read receipts

    Full release history

3-Pane Window

The new optional 3-pane window (which is turned on by default for new users) allows display of mailbox and contacts information in a single window, with three 'split' panes that can be arranged in a variety of layouts.

The actions that trigger a mailbox view or message preview are fully configurable via the new Window menu Options... command.

A zoom button in each pane allows you to quickly zoom a view out to fill the entire window and then zoom it back to normal 3-pane mode.

Tabbed mailbox views

The new 3-pane window supports a unique 'tabbed' mailbox option that allows you to have multiple mailboxes 'open' in the mailbox view pane. Each open mailbox has a corresponding 'tab' at the top of the mailbox view pane and clicking on a tab will bring the corresponding mailbox into view in the pane below. When you switch between tabs, Mulberry remembers the state of the mailbox and preview of the current tabbed mailbox and will restore that when you switch back to it - that includes the set of selected messages, which message is being previewed and the scroll positions of the mailbox view and messages preview panes.

Tabs can be moved and manipulated by ctrl-clicking on them to bring up a context menu with various options. This includes the ability to 'rename' a tab so that you can assign different names to mailboxes which may appear with the same tab name.

Preview panes for Mailbox and Address Book

The standalone mailbox and address book windows can now support an optional message or address/group preview pane at the bottom. The preview can be shown or hidden using the Show/Hide Preview command in the Window menu. The action that triggers a preview is controlled via the Window menu Options... command.

Toolbars

All the main windows feature a more traditional toolbar look-and-feel. You can show or hide the toolbars in all windows using the Show/Hide Toolbar command in the Window menu Toolbars sub-menu. You can also choose between small or large icons, showing text only, icons only or both, also using the Window menu Toolbars sub-menu. Toolbars in each window can be temporarily collapsed using the button on the left-edge of the toolbar.

Text Macros

Text macros provide a fast, convenient way to insert commonly used text into a draft by typing in a pre-assigned shortcut followed by a single keystroke. The inserted text can be anything, from a single word to many paragraphs of text. For each macro you define a shortcut word and set the text associated with that, using the Edit menu's Text Macros command. You can also choose what keystroke is used to expand macros (the default is shift-return).

Read Receipts

Mulberry can now optionally send requests for and respond to read receipts using the Message Disposition Notification (MDN) e-mail standard.

To send a read receipt, turn on the Receipt button in the Draft window toolbar, or use the Read Receipt command in the Draft menu's Notifications sub-menu.

Mulberry has three modes of responding to read receipts, controlled by options in the Message panel, Options tab in the Preferences dialog:

Always Send Read Receipt
When this is on, a read receipt will always be sent when you open and view a message with a read receipt request.
Never Send Read receipt
When this is on, read receipts will never be sent, even if requested by the sender of a message you read.
Prompt to Send Read Receipt
When this is on, if a read receipt request is detected in a message you are reading, Mulberry will prompt you as to whether you want to send a read receipt back to the sender of the message or not.

Note that a read receipt request is handled solely at the option of the recipient of a message. There is no guarantee that if you request a read receipt, one will be sent back to you when the message is read, as the recipient can turn of read receipt processing.

Table of Contents


Mulberry Menus

  • File
  • Edit
  • Mailbox
  • Message
  • Draft
  • Address
  • Window

Table of Contents


File Menu

New Message

 Create a new draft message.

Open Mailbox

 Open a mailbox on the server.

Open Message

 Open the selected messages.

Open Draft

 Open a draft message from disk.

Import Text

 Imports a text file into a draft message.

Close

 Closes the top window.

Save

 Save the information in the top window.

Save As

 Save using a different file name.

Revert

 Discard changes in the top window.

Preferences

 Edit preferences.

Disconnected

 Switches between Connected and Disconnected state.

Show Outgoing Queues

 Opens the Outgoing Message Queue window.

Page Setup

 Change the printer and printing options.

Print

 Print the top window.

Print Preview

 Display the document on the screen as it would appear printed.

Exit

 Quit the application.

Table of Contents


Edit Menu

Undo

 Undo the last action.

Redo

 Redo the last action

Cut

 Cut the selection and put it on the clipboard.

Copy

 Copy the selection and put it on the clipboard.

Paste

 Insert clipboard contents.

Paste as Quotation

 Insert clipboard contents as a quotation.

Delete

 Delete the selection.

Select All

 Select all items or text.

Find

 Find text.

Find Next

 Finds the next matching text.

Find Selection

 Finds the currently selected text.

Replace

 Replace selected text.

Replace & Find Next

 Replace selected text and find next.

Replace All

 Replace all matching text.

Text Macros

 Edit text macros.

Details

 Change the properties of the currently selected items.

Change Password

 Allows passwords for accounts to be changed.

Speak Selection

 Speak the selected text.

Check Spelling

 Check the spelling in the currently active text area.

Spelling Options

 Change options related to spell checking.

Table of Contents


Mailbox Menu

Create

 Create a new mailbox on the server. The server window must be the top window.

Rename

 Change the name of the selected mailboxes.

Mark Contents Seen

 Marks any unseen messages as seen.

Delete

 Delete the selected mailboxes on the server.

Expunge

 Permanently remove deleted messages.

Synchronise

 Synchronises messages between server-based mailboxes and their local disconnected counter-parts.

Clear Disconnected

 Clears any messages stored locally in a disconnected mailbox.

Display Hierarchy

 Commands related to display hierarchies.

Cabinets

 Commands related to cabinets in the main server window.

Subscribe

 Subscribe to the selected mailboxes.

Unsubscribe

 Unsubscribe from the selected mailboxes.

Check Mail

 Look for new messages in selected mailboxes.

Check Favourites

 Look for new messages in mailboxes marked for automatic checking.

Sort By

 Sort the messages in the top mailbox window.

Goto Messages

 Selects a specific message in the active mailbox window.

Load All Messages

 Loads all messages into the mailbox cache of the active mailbox window.

Update Current Match

 Updates the current set of matched messages based on the current Match criteria in effect.

Search Mailbox

 Search for messages in mailboxes.

Search Again

 Search again for messages in selected mailboxes.

Next Search

 Open the next mailbox which matched the last search.

Rules

 Display the Rules manager window for use with creating and editing rules and filters.

Apple Rules

 Apply the selected rule to the mailbox or selected messages.

Make Rule

 Create a rule based on characteristics of the selected messages.

Table of Contents


Display Hierarchy Menu

Display Hierarchy Sub-menu

New Display Hierarchy

 Create a new display hierarchy.

Edit Display Hierarchy

 Change the name of the selected display hierarchy.

Remove Display Hierarchy

 Remove the selected display hierarchy.

Reset All

 Reset all display hierarchies for the selected mail account.

Refresh

 Refresh the contents of the selected display hierarchy.

Table of Contents


Cabinets Menu

Cabinets Sub-menu

New Cabinet

 Create a new cabinet.

Edit Cabinet

 Change the name of the selected cabinet.

Remove Cabinet

 Remove the selected cabinet.

New Wildcard Item

 Add a new cabinet item to match multiple mailboxes.

Edit Wildcard Item

 Edit the selected cabinet item that matches multiple mailboxes.

Remove Item

 Remove the selected cabinet items.

Table of Contents


Sort By Menu

Sort by Sub-menu

To

 Sort using the To address.

From

 Sort using the From address.

Reply To

 Sort using the Reply To address.

Sender

 Sort using the Sender address.

CC

 Sort using the CC address.

Subject

 Sort using the Subject.

Thread

 Sort using a hierarchic thread display.

Date Sent

 Sort using the date sent.

Date Received

 Sort using the date received.

Size

 Sort using the size.

Flags

 Sort using the flags.

Number

 Sort using the message number.

Smart Address

 Sort using the To or From address depending on whether you sent the message.

Attachments

 Sort using the type of attachments.

Parts

 Sort using the number of attachments.

Matching

 Sort using the matched state of the messages.

Disconnected

 Sort using the disconnected state of the messages.

Table of Contents


Message Menu

Read Previous

 Display the previous message.

Read Next

 Display the next message.

Delete and Read Next

 Delete the current message and display the next one.

Copy and Read Next

 Copy the current message and display the next one.

Reply

 Reply to the current message

Reply to Sender

 Reply to the 'Sender' address of the current message.

Reply to From

 Reply to the 'From' address of the current message.

Reply to All

 Reply to all address in the current message.

Forward

 Forward the current message.

Bounce

 Bounce the current message.

Reject

 Reject the current message to make it look like it was not delivered.

Send Again

 Send the current message again.

Create Digest

 Create a message digest out of the selected messages.

Move/Copy to Mailbox

 Copy the current message to another mailbox.

Move/Copy Now

 Copy the current message to the selected 'Copy To' mailbox.

Flags

 Change the flags for the current message.

Extract Parts

 Extract the selected parts in the current message to disk.

Decode Embedded

 Decode embedded Binhex or UU parts in the current message.

Verify/Decrypt

 Verifies or decrypts a signed or encrypted message (only if a suitable plugin is available).

Delete

 Delete the current message.

Show Header

 Toggle the header display of the current message's header.

Table of Contents


Draft Menu

Include Original

 Insert the text of the original message.

Insert Signature

 Inserts the signature at the current selection point in the current draft.

Attach File

 Attach a file to the current draft.

New Text Part

 Add a new text part to the current draft.

New Multipart

 Add a new multipart to the current draft.

Send

 Send the current draft message.

Append to Mailbox

 Copy the current draft message to a mailbox.

Append Now

 Copy the current draft message to the selected 'Copy To' mailbox .

Sign

 Turns on verification of the message using a secure signature (only if a suitable plugin is available).

Encrypt

 Turns on encryption of the message (only if a suitable plugin is available).

Notifications

 Send the current draft message.

Wrap Lines

 Inserts carriage returns at the end of each selected line.

Unwrap Lines

 Removes carriage returns at the end of each selected line.

Quote Lines

 Inserts the quotation string at the start of each selected line.

Unquote Lines

 Removes the first quotation string at the start of each selected line.

Requote Lines

 Rewraps and requotes the selected lines.

Shift Left

 Removes a tab, or spaces, from the start of each selected line.

Shift Right

 Inserts a tab, or spaces, at the start of each selected line.

Font

 Changes the font of the selected text in the current draft.

Size

 Changes the font size of the selected text in the current draft.

Style

 Changes the font style of the selected text in the current draft.

Alignment

 Changes the alignment of the selected text in the current draft.

Colour

 Changes the colour of the selected text in the current draft.

Table of Contents


New Text Part Menu

New Text Part Sub-menu

Plain

 Create a new plain text part.

Enriched

 Create a new enriched text part.

HTML

 Create a new HTML text part.

Table of Contents


New Multipart Menu

New Multipart Sub-menu

Mixed

 Create a new multipart/mixed part.

Parallel

 Create a new multipart/parallel part.

Digest

 Create a new multipart/digest part.

Alternative

 Create a new multipart/alternative part.

Table of Contents


Notifications Menu

Notifications Sub-menu

Read Receipt

 Request that a read receipt be returned by the recipients of the message when they view it.

Delivery Success

 Request that the destination mail server send back a status message when the message is successfully delivered to each recipient.

Delivery Failure

 Request that the destination mail server send back a status message when the message fails to be delivered to any recipient.

Delivery Delay

 Request that the destination mail server send back a status message when the message is delayed when being delivered to any recipient.

Return Entire Message

 Request that the returned status message should include the entire contents of the original message rather than just the headers.

Table of Contents


Address Menu

Address Book Manager

 Brings the Address Book Manager to the front.

New Address Book

 Create a new address book. A local or remote server must be selected in the Address Book Manager window.

Open Address Book

 Open an address book.

Rename Address Book

 Renames an address book.

Import Addresses

 Imports addresses in a different format address book file.

Export Addresses

 Export address from an address book into another format.

Delete Address Book

 Deletes an address book.

Login

 Logs in to the selected address book server.

Logout

 Logs out of the selected address book server.

Refresh List

 Refreshes the list of address books for the selected server.

Synchronise

 Synchronises the selected address books in the address book manager window.

Clear Disconnected

 Removes the disconnected cache files for the selected address books in the address book manager window.

Expand Address

 Expands an address in an address entry field by doing a search of address books.

Search for Addresses

 Searches for addresses.

Table of Contents


Window Menu

Save Default Window

 Save the state of the current window as the new default.

Reset to Default

 Reset the state of the current window to its default.

Collapse/Expand Window Header

 Collapses or expands the active window's header area.

Show/Hide Parts

 Collapses or expands the active window's parts list.

Toolbars

 Manages the toolbars in all windows.

Layout

 Changes the 3-pane/separate window layouts.

Hide/Show List

 Shows or hides the mail or address account pane in the 3-pane window.

Hide/Show Items

 Shows or hides the mailbox or address book pane in the 3-pane window.

Hide/Show Preview

 Shows or hides the message or address/group preview pane.

Options

 Allows options related to the front most window to be changed.

Status

 Show or hide the status window.

Window List

 List of all open windows.

Table of Contents


Toolbars Menu

Toolbars Sub-menu

Hide/Show Toolbars

 Shows or hides the toolbars in all windows.

Small Icons

 Changes the size of icons in all toolbar buttons.

Show Icons

 Toolbar buttons will display icons only.

Show Text

 Toolbar buttons will display text only.

Show Icons & Text

 Toolbar buttons will display icons and text.

Table of Contents


Layout Menu

Layout Sub-menu

Use 3-Pane Window

 Create a new cabinet.

Use Separate Windows

 Change the name of the selected cabinet.

List Horizontal

 The mail or address account pane is displayed across the entire width of the 3-pane window.

List Vertical

 The mail or address account pane is displayed over the entire height of the 3-pane window.

Items Horizontal

 The mailbox or address book pane is displayed across the entire width of the 3-pane window.

Items Vertical

 The mailbox or address book pane is displayed over the entire height of the 3-pane window.

Preview Horizontal

 The message or address/group preview pane is displayed across the entire width of the 3-pane window.

Preview Vertical

 The message or address/group preview pane is displayed over the entire height of the 3-pane window.

All Horizontal

 All panes are displayed across the entire width of the 3-pane window.

All Vertical

 All panes are displayed over the entire height of the 3-pane window.

Table of Contents


Toolbars

Mulberry Toolbars

  • 3-Pane Window
    • Mail
    • Contacts
  • Server Window
  • Mailbox Window
  • SMTP Queue Window
  • Rules Window
    • Local
    • SIEVE
  • Message Window
  • Draft Window
  • Address Book Manager Window
  • Address Search Window
  • Address Books Window

Table of Contents


3-pane Mail Toolbar

3-pane Window Toolbar - Mail tab

Draft | The Draft button will create a new empty draft message.
Login | The Login/Logout button allow you to login or logout off the selected accounts in the server pane.
Create | The Create button allows you to create new mailboxes in the server pane.
Cabinet | The Cabinet button controls the display of cabinets in the server pane. It also allows user-defined cabinets to be created or removed.
Reply | The Reply button allows you to create drafts for replyng to the selected messages in the mailbox pane or the current message in the preview pane. If there is more than one selected message, you will be given the choice of replying to each one individually, or replying to them all in one draft. Use of the option key will toggle the display of the Reply addressing dialog that allows choice of which addresses to reply to when creating the reply draft.
Forward | The Forward button allows you to create drafts for forwarding the selected messages in the mailbox pane or the current message in the preview pane. If there is more than one selected message, you will be given the choice of forwarding each one individually, or forwarding them all in one draft. Use of the option key will toggle the display of the Forwarding dialog that allows choice of various options releated to creating the forward draft.
Copy to | Copy or Move the selected messages in the mailbox pane or the current message in the preview pane to another mailbox. Click on the right-side to bring up a popup menu to choose the mailbox to copy/move to - the copy/move is done when you select the mailbox. Click on the left-side to copy/move to the previously chosen mailbox.
Delete | The Delete button allows you to delete messages in the mailbox pane or the message in the preview pane. A deleted message can be permanently removed from the mailbox by clicking the Expunge button. If the selected message is already deleted, this button will be labelled Undelete and it will undelete the message when clicked.
Expunge | The Expunge button permanently removes all deleted messages from the mailbox. Once a message is expunged, it cannot be recovered.
Match | The Match button toggles the match state of the mailbox.
Select | The Select button displays a popup menu allowing you to choose from variuos criteria that are then used to select messages in the mailbox that match the chosen criteria.
Check | The Check button causes the mailbox inthe mailbox pane to be immediately checked for new mail, or if the server pane is focussed, it will initiate and immediate check of all mailboxes marked for checking.
Search | The Search button displays the search window allowing you to search for messages matching selected criteria in the mailbox.
Details | The Details button is used to show a dialog containing useful information and options that control the behaviour of the mailbox.


3-pane Contacts Toolbar

3-pane Window Toolbar - Contacts tab

New | The New button will create a new address book.
Open | The Open button will open the selected address books.
Delete | The Delete button will delete the selected address books.
Search | The Search button will display the Address Search window to allow addresses to be searched for in selected address books or directory servers.
Details | The Details button is used to show a dialog containing useful information and options that control the behaviour of any selected address books.


Server Toolbar

Server Window Toolbar

Draft | The Draft button will create a new empty draft message.
Login | The Login/Logout button allow you to login or logout off the selected accounts.
Create | The Create button allows you to create new mailboxes.
Cabinet | The Cabinet button controls the display of cabinets in the server window. It also allows user-defined cabinets to be created or removed.
Check | The Check button initiates and immediate new mail on all mailboxes marked for checking.
Search | The Search button displays the search window allowing you to search for messages matching selected criteria mailboxes.
Details | The Details button is used to show a dialog containing useful information and options that control the behaviour of any selected mailboxes or server accounts.


Mailbox Toolbar

Mailbox Window Toolbar

Draft
 The Draft button will create a new empty draft message.
Reply
 The Reply button allows you to create drafts for replyng to the selected messages. If there is more than one selected message, you will be given the choice of replying to each one individually, or replying to them all in one draft. Use of the option key will toggle the display of the Reply addressing dialog that allows choice of which addresses to reply to when creating the reply draft.
Forward
 The Forward button allows you to create drafts for forwarding the selected messages. If there is more than one selected message, you will be given the choice of forwarding each one individually, or forwarding them all in one draft. Use of the option key will toggle the display of the Forwarding dialog that allows choice of various options releated to creating the forward draft.
Copy to
 Copy or Move the selected messages to another mailbox. Click on the right-side to bring up a popup menu to choose the mailbox to copy/move to - the copy/move is done when you select the mailbox. Click on the left-side to copy/move to the previously chosen mailbox.
Delete
 The Delete button allows you to delete messages in the mailbox. A deleted message can be permanently removed from the mailbox by clicking the Expunge button. If the selected message is already deleted, this button will be labelled Undelete and it will undelete the message when clicked.
Expunge
 The Expunge button permanently removes all deleted messages from the mailbox. Once a message is expunged, it cannot be recovered.
Match
 The Match button toggles the match state of the mailbox.
Select
 The Select button displays a popup menu allowing you to choose from variuos criteria that are then used to select messages in the mailbox that match the chosen criteria.
Check
 The Check button causes the mailbox to be immediately checked for new mail.
Search
 The Search button displays the search window allowing you to search for messages matching selected criteria in the mailbox.
Details
 The Details button is used to show a dialog containing useful information and options that control the behaviour of the mailbox.
Status Icon
 The State icon indicates the status of the mailbox:

An online (IMAP) mailbox
A POP3 or Local mailbox
An online (IMAP) mailbox that has been synchronized and is being used in disconnected mode.


Outgoing Toolbar

Outgoing Queue Window Toolbar

Hold | The Hold button allows you to put a selected message on 'hold'. Held messages are not sent, even when Mulberry is in connected mode and the outgoing queue is enabled.
Priority | The Priority button allows you to assign a higher priority to a particular message. Priority messages are sent before other messages.
Delete | The Delete button allows you to delete messages in the queue. A deleted message will not be sent and can be permanently removed from the queue by clicking the Expunge button. If the selected message is already deleted, this button will be labelled Undelete and it will undelete the message when clicked.
Expunge | The Expunge button permanently removes all deleted messages from the queue. Once a message is expunged, it cannot be recovered.
Account Popup | If multiple SMTP servers are defined in the Accounts preference panel, the Account popup allows you to switch between the queues for each SMTP server. The popup will list each SMTP account, but you will only be able to select those that have been configuered to use queues.
Enable | The Enable button allows you to enable the outgoing queue and send any queued messages. When the queue is enabled, this button will change to a Disable button. The outgoing queue is automatically disabled when Mulberry is in disconnected mode. When switching from disconnected back to connected mode, the outgoing queue is normally re-enabled, and any messages queued while in disconnected mode are sent.


Rules Local Toolbar

Rules Window Toolbar - Local tab

Rule | The Rule button will create a new rule.
Trigger | The Trigger button will create a new trigger.
Edit | The Edit button edits the selected rule or trigger.
Delete | The Delete button deletes the selected rule or trigger.
Apply | The Apply button applies any rules that are available in the Apply Rules menu to all open mailboxes.
Show Triggers | TheShow/Hide Triggers buttons shows or hides the triggers list area.


Rules Local Toolbar

Rules Window Toolbar - SIEVE tab

Rule | The Rule button will create a new SIEVE rule.
Script | The Script button will create a new SIEVE script.
Edit | The Edit button edits the selected rule or script.
Delete | The Delete button deletes the selected rule or script.
Write | The Write button will write the selected script to disk as a text file in the Mulberry application directory.


Message Toolbar

Message Window Toolbar

Draft | The Draft button will create a new empty draft message.
Reply | The Reply button allows you to create drafts for replyng to the current message. Use of the option key will toggle the display of the Reply addressing dialog that allows choice of which addresses to reply to when creating the reply draft.
Forward | The Forward button allows you to create drafts for forwarding the current message. Use of the option key will toggle the display of the Forwarding dialog that allows choice of various options releated to creating the forward draft.
Bounce | The Bounce button allows you to create drafts for redirecting the current message.
Copy to | Copy or Move the current message to another mailbox. Click on the right-side to bring up a popup menu to choose the mailbox to copy/move to - the copy/move is done when you select the mailbox. Click on the left-side to copy/move to the previously chosen mailbox.
Delete | The Delete button allows you to delete the current message. A deleted message can be permanently removed from its mailbox by clicking the Expunge button in the mailbox. If the message is already deleted, this button will be labelled Undelete and it will undelete the message when clicked.
Print | The Print button .allows the current message to be printed.
Del-Nxt | The Delete and Next button deletes the current message and then displays the next message in the message window.
Prev | The Previous button displays the previous message in the message window.
Next | The Next button displays the next message in the message window.


Message Toolbar

Draft Window Toolbar

Draft | The Draft button will create a new empty draft message.
Save | The Save button allows the current draft to be saved to disk or to a mailbox, depending on the state of the 'Save Draft' preferences in the Outgoing preferences panel.
Attach | The Attach button allows you to choose files to attach to the current draft.
Spelling | The Spelling button starts spell checking of the text in the current draft..
Receipt | The Receipt button turns on or off adding a read-receipt request to the current draft. When a recipient reads the message, they can (at their option) return a message to you indicating that the message was read. There is no guarantee that adding a read-receipt will result in a response when the message is read, as that behaviour is at the option of the recipient.
Sign | The Sign button turns on or off the addition of a cryptogaphic digitial signature to the draft. This can be used by recipients to verify the authenticity of the message. This option will only be present if cryptographic support is enabled by the addition of suitable plugins.
Encrypt | The Encrypt button turns on or off the addition of a cryptogaphic encryption of the draft. This can be used to encrypt the content of the message so that only the specified recipients of the message can decrypt and read the content. This option will only be present if cryptographic support is enabled by the addition of suitable plugins.
Send | The Send button will send the message. If you have outgoing queues enabled, the draft will be put into a queue for sending in the background. If queues are disabled, the draft will be sent immediately possibly resulting in a delay as it is sent.


Address Book Manager Toolbar

Address Book Manager Window Toolbar

New | The New button will create a new address book.
Open | The Open button will open the selected address books.
Delete | The Delete button will delete the selected address books.
Search | The Search button will display the Address Search window to allow addresses to be searched for in selected address books or directory servers.
Details | The Details button is used to show a dialog containing useful information and options that control the behaviour of any selected address books.


Address Search Toolbar

Address Search Window Toolbar

Search | The Search button will initiate a search using the chosen criteria.
Clear | The Clear button will remove any search results from the list.
Draft | The Draft button will create a new draft addressed to the addresses selected in the results list.


Server Toolbar

Address Book Window Toolbar

Draft | The Draft button will create a new draft addressed to the addresses or groups selected in the lists.
Single | The Single button will create a new address.
Group | The Group button will create a new group.
Edit | The Edit button will edit the selected address or group.
Delete | The Delete button will deleted the selected addresses or groups.


Shortcuts

  • The Server (mailbox account) pane
  • The Mailbox pane
  • The Message Preview pane
  • The Message Window
  • The Draft Window
  • The Address Book pane

Server Pane
To move the selection to the next mailbox containing new message | Type tab on the keyboard
To expand a selected row | Type right-arrow on the keyboard
To collapse an expanded selected row | Type left-arrow on the keyboard
To move to the hierarchical parent of a collapsed selected row | Type left-arrow on the keyboard
To logoff the server corresponding to the selected row | Type delete on the keyboard
To remove the selected Cabinet item | Type delete on the keyboard
To remove the selected Cabinet item content | Type delete on the keyboard
To select an item in the list | Start typing its name

Mailbox Pane
To move the selection to the next new message or move to the next mailbox containing new messages | Type tab on the keyboard
To move the selection to the previous new message | Type shift-tab on the keyboard
To move to the next mailbox containing new messages | Type ctrl-tab on the keyboard
To delete or undelete the selected messages | Type delete on the keyboard
To scroll the preview pane to the bottom (if one is visible) and then move the selection to the next message | Typespace on the keyboard
To automatically Match a message based using some criteria of that message | alt-click on the table cell that contains the data to match on for that message

When using Thread sorting:
To move the selection to the next message at the same level in the thread hierarchy | Type right-arrow on the keyboard
To move the selection to the previous message at the same level in the thread hierarchy, or to the parent if no previous message exists | Type left-arrow on the keyboard

Message Preview Pane
To scroll the text to the bottom and then move to the next message | Type space on the keyboard
To scroll the text to the bottom, delete the current message, and then move to the next message | Type alt-space on the keyboard
To move to the next new message | Type tab on the keyboard
To delete the current message and then move to the next message | Type delete on the keyboard

Message Window
To scroll the text to the bottom and then move to the next message | Type space on the keyboard
To scroll the text to the bottom, delete the current message, and then move to the next message | Type alt-space on the keyboard
To delete the current message and then move to the next message | Type delete on the keyboard

Draft Window
To expand a nick-name into an address, or to search for addresses matching some text | Type the nick-name or text to search for into an address field and type tab or return on the keyboard

Address Book Window
To select and address using the text for the currently selected sort method | Start typing the text

Table of Contents


FAQs

The Mulberry FAQ

    General Issues

  • What is the purpose of multiple alert styles and how do I use them?
  • What's this 'we do not relay' error I see when sending mail?
  • How do I make the message and draft windows remember their size and position?
  • What's this 'Full Sort' dialog that I see when opening a mailbox?
  • How do I make the Copy To/Append To mailbox menus smaller?
  • How can I import mailboxes into Mulberry?
  • What is the format of the Mulberry addressbook?
  • How do I use the text-to-speech capability.

    URL Handling

  • How do I make Mulberry my default mailto URL handler?
  • How do I make Mulberry use my default web browser when I click on http or https URL links in a message?

    Security and Authentication Issues

  • How do I use GNUpg with Mulberry?
  • How do I make Mulberry work with Kerberos V4 or GSSAPI?

Do you have other things you want to know about Mulberry? Then let us know.


Subscribed

Subscribe

IMAP clients such as Mulberry have the ability to mark a set of mailboxes as ‘subscribed’ mailboxes. The IMAP client can send a specific request to the IMAP server to get the list of subscribed mailboxes. It is up to the IMAP client to decide how to present this subscribed mailbox list to you. Mulberry makes use of the subscribed mailboxes feature to allow you to create a set of mailboxes that always appear at the top of the mailbox list in each IMAP account, immediately below the INBOX entry. This is useful if you have a set of mailboxes that you frequently use and want quick access to in the server window.

The subscribed list appears in the server pane's mailbox list with the following icon next to it:

To add a mailbox to the subsribed list, select the mailbox and then choose the Subscribe command in the Mailbox menu.

To remove a mailbox from the subsribed list, select the mailbox and then choose the Unsubscribe command in the Mailbox menu.


Cabinets

Cabinets provide a powerful mechanism for grouping sets of mailboxes together. In simple terms, a cabinet is a collection of aliases to different mailboxes. The server pane displays cabinets at the top of the mailbox list section, before any mail servers or mailboxes. Cabinets can not be displayed in individual server windows, only the main server window or in the 3-pane window's server pane. You can control which cabinets are displayed using the Cabinet popup menu in the toolbar. To display a cabinet, click on the Cabinet popup menu and select a cabinet name. Cabinets that are currently displayed have a check mark in front of their name. To hide a cabinet, click on the popup menu and select the appropriate cabinet name again.

Mulberry comes with several pre-defined cabinets. You can also create as many of your own cabinets as you like. The pre-defined cabinets that come with Mulberry are:

Check Favourites

 This cabinet contains a list of mailboxes marked for automatic checking. This cabinet is used by the first alert style by default.

Open After Login

 This cabinet contains a list of mailboxes that Mulberry should open automatically after starting up.

Copy Messages To

 This cabinet contains a list of mailboxes that will appear in the Copy To popup in the Message window or the Copy to Mailbox sub-menu under the Messages menu. Note that the contents of this cabinet are only used if the 'Use Copy Messages To Cabinet' option is checked in the Advanced Mailbox preference panel.

Copy Drafts To

 This cabinet contains a list of mailboxes that will appear in the Copy To popup in the Draft window or the Append to Mailbox sub-menu under the Draft menu. Note that the contents of this cabinet are only used if the 'Use Copy Drafts To Cabinet' option is checked in the Advanced Mailbox preference panel.

Mark Seen on Close

 Mailboxes listed in this cabinet will automatically have all messages marked as seen when their mailboxes are closed.

Auto Synchronise

 This cabinet contains a list of IMAP mailboxes that will be synchronized automatically when switching between connected and disconnected modes.

New Messages

 This cabinet contains a list of all mailboxes that have new messages in them. This is a fast and convenient way to display a list of only those mailboxes that have new messages to be read. This cabinet is an example of an 'automatic' cabinet that is maintained by Mulberry. The contents of this cabinet can not be changed directly.

Subscribed

 This cabinet contains a list of all mailboxes marked as subscribed in all IMAP mail accounts.

Cabinets can contain mailboxes from multiple mail servers. When multiple mail server accounts are defined, Mulberry will prepend the server name and a colon (:) to the mailbox names within a cabinet. The contents of cabinets are always sorted, first by server name and then either alphabetically or hierarchically.

To add a mailbox alias to a cabinet
First make sure the cabinet is visible at the top of the server window. Then, simply find the mailbox(es) that you wish to add to the cabinet and drag the icon for the mailbox(es) onto the appropriate cabinet icon. Mulberry will add an alias to the appropriate mailbox to the selected cabinet.
To remove a mailbox alias from a cabinet
Highlight the mailbox alias you wish to remove and press the delete key on your keyboard or choose Cabinets>Remove Item from the Mailbox menu. Removing a mailbox alias just removes that item, it does not delete the mailbox that it refers to.

Note You cannot change the contents of the 'New Messages' cabinet. The contents of this cabinet are managed automatically by Mulberry.

To create your own cabinet
Select New… from the Cabinet popup menu or select Cabinets>New Cabinet… from the Mailbox menu. Mulberry will prompt you for a name for the new cabinet. User-defined cabinets are listed after the pre-defined cabinets in the order that they are created. You can create as many cabinets as you like.

In addition to individual mailbox aliases, cabinets can also contain 'wildcard' items. These items allow you to quickly add the contents of an entire mailbox hierarchy to a cabinet. For example, you might want all of the folders in your INBOX hierarchy to appear in the 'Copy Messages To' cabinet. One way to set this up would be to select all of the folders in your INBOX hierarchy and drag them to the 'Copy Messages To' cabinet. Unfortunately, if you were to then create a new mailbox in your INBOX hierarchy, you would have to remember to also add that new folder to the 'Copy Messages To' cabinet. An elegant solution for this problem is to place a single wildcard entry for the 'INBOX.*' hierarchy into the 'Copy Messages To' cabinet. 'Wildcard' entries are dynamic – every time they are needed, the full list of matching mailboxes is determined and substituted for the 'wildcard' entry. Thus any changes to the mailbox hierarchy will always be picked up by the 'wildcard' entry.

To add a 'wildcard' entry to a cabinet
Click once on the appropriate cabinet and select Cabinets>New Wildcard Item… from the Mailbox menu.

You can modify a wildcard item within a cabinet by clicking once on the wildcard item and selecting Cabinets>Edit Wildcard Item… from the Mailbox menu, or by double-clicking on the wildcard item. A dialog box will appear, allowing you to specify a new path for the wildcard item.

Note The mailbox aliases within a cabinet function in a manner very similar to the actual mailboxes they represent. Double-clicking on a mailbox alias will open a separate mailbox window for the associated mailbox. If you attempt to remove a cabinet item using the Delete… command from the Mailboxes menu, you will be asked whether you want to delete the mailbox alias or the actual mailbox associated with the alias.


Identities

Using Identities in Mulberry

What are Identities?

Identities are sets of preferences that let you control a number of options in draft (outgoing) messages. This includes the email address used to indicate who the message was sent by, the address to which replies should be sent, the signature text inserted at the bottom of the message text, the mailbox to which a copy of the message should be saved when it is sent.

To create , delete or edit identities, go to the Identities panel in the Preferences dialog.

Identities in Drafts

Using Identities

The Identity popup can be used to choose the identity used when sending a draft message. An identity provides a way to set information such as the return address or signature used with a draft. When you switch identities using the Identity popup, or edit the existing identity set in the popup, Mulberry automatically changes information in the draft window to reflect the new identity chosen, or the changes made to the currently selected identity. This includes change any signature, changing the Copy To popup menu setting, and various other items.

Tied Identities

When creating a draft message, Mulberry determines which identity to use based on a set of rules that use 'tied identities' to determine what to do. An identity can be 'tied' to a mailbox or a mail account such that use of that mailbox or account will trigger the use of the 'tied' identity when creating drafts with that mailbox or account 'active'. To determine the correct tied identity Mulberry uses the following rules:

Server window active, server row selected Use the tied identity for the account of the selected server, if it exists

    or

Use the default identity

Server window active, mailbox selected Use the tied identity for the mailbox, if it exists

    or

Use the tied identity for the mailbox's account, if it exists

    or

Use the default identity

Mailbox window active Use the tied identity for the mailbox, if it exists

    or

Use the tied identity for the mailbox's account, if it exists

    or

Use the default identity

Message window active Use the tied identity for the mailbox containing the message, if it exists

    or

Use the tied identity for the account of the mailbox containing the message, if it exists

    or

Use the default identity

Any other case Use the default identity

Mulberry will then use the tied identity or the default identity based on another set of rules outlined in the next sections.

Tied Identities and new drafts

When creating a new draft using the New Message menu command or by clicking a Draft button in a server or mailbox window, the following rules apply:

'Use Tied Identities with New Drafts' | Option/Alt Key | Identity set when draft is created
Off | Not used | Default identity
Off | Down | Tied identity for the active window (as determined by rules in the previous table)
On | Not used | Tied identity for the active window (as determined by rules in the previous table)
On | Down | Default identity

Tied Identities when replying, forwarding, bouncing, sending again or creating a digest

When replying, forwarding, bouncing, sending again or creating a digest of messages, Mulberry will always use the tied identity appropriate for the selected messages as determined by the rules above.


Cabinets

Disconnected Mode Operations

Introduction

Messages in remote IMAP mailboxes can be cached locally for use when the computer running Mulberry is not connected to a network. These messages can be read and otherwise manipulated in the normal manner, and any changes made to messages while in disconnected mode will be reflected in their online counterparts the next time a network connection is made. This is known as disconnected mode operation.

In order to use an IMAP mailbox in disconnected mode, you must first synchronize that mailbox with a local cache. There is some preparation necessary before IMAP mailboxes can be synchronized for disconnected use:

  • The IMAP account that contains the mailboxes to be used in disconnected mode must have the ‘Allow Disconnected Operations’ preference option enabled via the Accounts preferences panel in the Preferences dialog.
  • The IMAP mailboxes to be synchronized must be identified. For mailboxes that will be synchronized on a regular basis, the easiest way to do this is to add the desired mailboxes to the ‘Auto Synchronise’ cabinet. A mailbox can also be chosen for synchronisation using the Options tab of the Mailbox Details dialog.

Disconnecting

To switch Mulberry into disconnected mode, select the Disconnect… item from the File menu.

Connecting

To switch Mulberry into disconnected mode, select the Connect… item from the File menu.

Manual Synchronization

When Mulberry is in connected mode, individual mailboxes can be synchronised without switching into disconnected mode. To do this, either select a mailbox in the server window or open a mailbox and view its captions in a mailbox window, and then select Synchronise... from the Mailbox menu.


More Help

  • Read the Mulberry Getting Started Guide which comes as part of the Mulberry distribution. This guide provides a simple tutorial on using Mulberry.
  • Read the Mulberry Reference Guide which comes as part of the Mulberry distribution. This guide provides a detailed description of all aspects of Mulberry.
  • For support, contact your local Mulberry adminsitrator, if you have one, or the Cyrusoft support team.

Table of Contents


Addressbook Format

Mulberry FAQ

What is the format of the Mulberry addressbook?

Mulberry uses a tab-delimited text format for storage of local addressbooks. On network addressbooks, the format is stored slightly differently depending on which protocol (IMSP or ACAP) is used. For the practical purposes of importing external addressbooks, however, the field order for importing to a network addressbook is the same as a local Mulberry addressbook.

Mulberry currently can import the following addressbook formats:

  • Pine
  • Eudora
  • Netscape/Communicator and Netscape-compatible
  • LDIF (use the Communicator plugin)
  • Outlook/Outlook Express
  • Quickmail
  • vCard
  • Any tab-delimited text file with the proper order.

Mulberry can also export to any of these formats.

Hint: more than one Mulberry user has observed that Mulberry can be a very easy to use tool if you need to translate from one of the above formats to another, as at this writing these other programs don't understand one another's formats. Cute!

The field order for a Mulberry address book is as follows. <tab> represents a 'tab' character, and <LINEEND>represents a line end character sequence for the OS on which the address book is used, and marks the end of a single entry.

    Nick-name <tab> (aka the alias)
    Full Name <tab> (Note: fullname is stored lastname, firstname)
    Email <tab>
    Company <tab>
    Address <tab>
    Phone Work <tab>
    Phone Home <tab>
    Fax <tab>
    URL <tab>
    Notes <LINEEND>

Fields listed in boldface above can contain more than one line of data, and can contain tab characters. To indicate this in a source document for translation, use "C" programming language style 'escape' characters:

    To show a tab character, type \t
    To show a carriage return, type \r
    To show a linefeed return, type \n


Alert Styles

Mulberry FAQ

What is the purpose of multiple alert styles and how do I use them?

Most people have new mail messages delivered to a single mailbox - usually their INBOX. On a POP3 server it can only be INBOX because there is only one remote mailbox. However, with IMAP, it is possible to have new messages delivered into other mailboxes - either personal mailboxes, or shared or public mailboxes. This may be the result of the user setting up some form of server-side filtering, or simply through public mailing lists being delivered into public or shared mailboxes.

When new mail is being delivered into more than INBOX, you will likely want to be notified of new mail arrival. One option to do that in Mulberry is to simply add these mailboxes to the 'Check Favourite' cabinet or to select them, click Details, and then turn on 'Check for New Mail with Style' in the mailbox properties dialog. This will cause those mailboxes, as well as INBOX, to be checked at the interval you have specified in the preferences.

Sometimes, the other mailboxes being checked are less important than say your INBOX, and you may prefer to have those checked at a longer interval than INBOX, or have them generate a different kind of notification. Mulberry lets you do this by providing the ability to setup multiple alert styles. An alert style lets you define what interval new mail checking is done at, how you are notified of the new mail, and lets you choose which set of mailboxes it applies to. The set of mailboxes is controlled through the use of the Cabinet feature in Mulberry.

To setup multiple alert styles do the following:

1) Create a new Cabinet via the Cabinet popup in the server window. This cabinet will be used to contain the set of mailboxes to which the new alert style will apply. You can add mailboxes to the alert style by simply dragging them into this cabinet. Alternatively, turn on the 'Check for New Mail with Style' option in the mailbox properties dialog will add them too.

2) Go to the Preferences and make sure its set to Advanced mode.

3) Go to the Alerts preference panel.

4) Click on the Style popup and select New.

5) Enter a unique name for the new alert style and click OK (a good idea is to use the same name for the cabinet and alert style - though this is not required).

6) Configure the check interval and notification options for the new alert style (e.g. use 30 minutes for less important mailboxes).

7) Select the new cabinet created in step 1 via the 'Apply to Cabinet' popup.

8) Click OK to exit the Preferences dialog.

Now those mailboxes that appear in the new cabinet will be used by the new alert style to notify you of new mail using the alert style's check interval and notification options.

Also note that the New Messages cabinet that is bult-in to Mulberry, will always contain the list of mailboxes known to have new mail in them. Thus its a good idea when you have more than one mailbox being checked for new mail, to have that cabinet open atthe top of your server window. That provides a quick way to see which mailboxes have new mail.

NB Site Administrator's can pre-configure multiple alert styles for end users using the Admin Tool.


Copy To Cabinets

Mulberry FAQ

How do I make the Copy To/Append To mailbox menus smaller?

To make the mailbox menus in Mulberry smaller:

  1. Open the Preferences dialog from the File menu.
  2. Make sure it is set to Advanced (use the radio buttons on the right hand side).
  3. Switch to the Mailbox panel.
  4. Switch to the Advanced panel in the Mailbox panel.
  5. Turn on the "Use 'Copy Messages To' Cabinet" and "Use 'Copy Drafts To' Cabinet" checkboxes.
  6. Exit the preferences dialog by clicking OK.
  7. In the server window (the one showing the list of mailboxes) click on the Cabinet and select the 'Copy Messages To' item if its not already checked.
  8. Do the same for the 'Copy Drafts To' item in the Cabinet popup.
  9. You will now see these two Cabinet items appear in the top-part of the server window.
  10. Select the mailboxes you frequently use for copying incoming messages to and drag and drop them on thre 'Copy Messages To' cabinet item.
  11. Do the same for mailboxes you copy drafts into but drop them on the 'Copy Drafts To' cabinet.
  12. Hide the two cabinet items by selecting each in turn from the Cabinet popup.

    Now the Copy To mailbox popups will just show the mailboxes added to the corresponding cabinet items. There will also be a list of other mailboxes that were recently used below those (the maximum number of which is set in the preferences). You can still copy to any mailbox by using the Choose option in the popup which will display a mailbox browser dialog allowing you to pick the mailbox you want.


'Full Sort' Alert

Mulberry FAQ

What's this 'Full Sort' dialog that I see when opening a mailbox?

By default, when Mulberry opens a mailbox it only downloads the message captions it needs to fill the current display area in the mailbox window. As you scroll, more captions are downloaded from the server as needed to fill the new areas of the display. This ensures that opening a mailbox is fast as the amount of data transferred over the network is small, opening a 10,000 message mailbox takes basically as long as opening a mailbox with 20 messages in it.

However, when the mailbox is sorted by a category other than the message number (which is the 'natural' sort order of the mailbox) all the message captions are required in order to calculate the sorted positions of the messages in the mailbox display. As a result Mulberry has to download all the message captions from the server. Before doing that Mulberry pops up the 'Full Sort' dialog which gives you the option of halting the sort and going back to message number sort which doesn't require a full caption download.

The threshold at which the full sort dialog is triggered is controlled by the 'Sort Warning' preference in the Mailbox>Advanced preferences panel in Mulberry. If the number of messages exceeds that limit, the warning will appear.

To prevent the alert from appearing, you can do several things:

  • Switch sorting back to message number
  • Reduce the number of messages in the mailbox by moving some to another mailbox, or by deleting and expunging unwanted messages
  • Increase the 'Sort Warning' threshold in the preferences, but be aware that this may cause longer opening times when opening a mailbox.

Alternatively you can just live with it!

NB Some IMAP servers support a server-side sort function. Mulberry can make use of this capability, and as a result doesn't have to download all the message captions to do a sort. For such servers, the 'Full Sort' alert will never appear, provided the sort category is one that is supported by the server.


Kerberos

Mulberry FAQ

How to make Mulberry work with Kerberos V4 & GSSAPI

Kerberos V4 and GSSAPI (kerberos V5) are authentication methods that may be supported by an IMAP, POP3, IMSP, ACAP or SMTP server. You need to contact your site administrator to see whether a Kerberos infrastructure is already in place and whether your servers support it.

To use Kerberos with Mulberry you first need to have installed on your local machine the necessary libraries and extensions. The sections below describe what is needed and where these items can be obtained. You should contact your site administrator first, before installing these components as they may already be available at your site, pre-configured for use. In any event, you will need to contact the site administrator to correctly configure these items once they've been installed.

In addition, you need to have the Mulberry Kerberos V4 or GSSAPI plugins installed in the Mulberry Plugins directory. This is normally installed by default by the Mulberry installer. If the plugin has not been installed, then you should run the Mulberry installer again, but do a custom install of the plugins.

The latest version of Mulberry supports Kerberos V4 and GSSAPI using the MIT Kerberos package. You need to download, install and configure that package before you can use kerberos with Mulberry.

Please note that the Kerberos resources listed here may be export restricted. You must read the documentation accompanying these items to ensure that you have the legal right to download and use the software.


Relaying Error

Mulberry FAQ

What's this 'we do not relay' error I see when sending mail?

Quick Answer:

The SMTP server you currently have set in the Mulberry preferences has been configured to prevent you from sending email to recipients outside of its 'domain' if you connect from a computer that is also outside of its 'domain'. This is done as an anti-spam measure.

To fix this, change the SMTP server in Mulberry's preferences to the SMTP server provided by the ISP that you use to connect to the Internet.

Also, check with your site admin to see whether SMTP authentication is supported by your server. If so, then leave the server as it is, but turn on Authentication instead.

Detailed Answer:

What is relaying?

Relaying is the process of submitting a message to one SMTP server, with the purpose of having it sent to another server for delivery. This will happen if the server you submit a message to is not the server that handles delivery for the recipients of the message. For example, say you send mail to 'joe@user.com', and use 'smtp.user.com' as the SMTP server. That SMTP server handles delivery of mail to users in the 'user.com' domain, so it can directly handle the 'joe@user.com' address. Instead, if you addressed the message to 'jane@group.com' but submitted it to 'smtp.user.com', that SMTP server would have to pass the message to the server that handles delivery for the 'group.com' domain - the process that is called relaying. SMTP servers have tables and lookup mechanisms to enable them to talk to each other for the purposes of deliverying messages to the right person, across different domains.

Why is relaying disabled?

Relaying is frequently a tactic that spammers employ to try and disguise the origin of a spam message. They generally find an SMTP server that is open to relaying, and submit their spam messages for delivery to a whole group of people (most of which are likely not to be in the domain handled by the SMTP server).

To prevent this abuse of their SMTP server, many server admins prevent relaying for anyone who is not authorised to do so.

How is authorization for relaying determined?

In most cases, SMTP servers look at the IP address (internet address) of the machine connecting to them for submitting a message. If that IP address is not in a recognised range, then relaying will be disabled. Sites can usually configure their servers to accept relaying from computers physically located on their own local area network. If you dial-in via an ISP, the IP address of your machine will be assigned by the ISP, and won't be in the range recognised by your site's SMTP server, so relaying is denied.

Another solution for authorizing relaying, is to use the SMTP AUTH (authentication) extension. When this is available, the client machine authenticates to the SMTP server, much the same way it does to retreive messages. If authentication succeeds, then the SMTP server can enable relaying as it knows that the authenticated user is legitimate and is not, hopefully, a spammer.

How do I setup Mulberry to prevent this error from appearing?

Ths simplest solution is to change the SMTP server address to that used by the ISP that you use to connect to the Internet, when you use the ISP's connection. For laptops that move from home to work, you'll have to change the SMTP server each time you change its location.

The other option is to check with your site administrator to see whether SMTP AUTH is available and what authentocation schemes are supported. If it is supported, you can change the Authentication settings in Mulberry SMTP account panel to enable authentication, and that should allow relaying. In thiscase you can leave the SMTP server address set to your site's server, no matter where you connect from. If your site doesn't currently support SMTP AUTH, request that it does, as it makes handling the relaying problem much easier.


Window State

Mulberry FAQ

How do I make the message and draft windows remember their size and position?

  1. Setup the message or draft window to the size and position that you want as the default.
  2. Make sure you have the header and parts list collapsed or expanded for the default state you want.
  3. Select the 'Save Default Window' command from the Windows menu. This will save the current (top) window state as the default for that type of window


URLs

Mulberry FAQ

How to make Mulberry use your default web browser when you click on http or https URL links

Internet Explorer

To have http links in Mulberry open the 'Internet Explorer' web browser when you click on them, do the following:

  1. Launch 'Internet Explorer'.
  2. Go to 'Internet Options' dialog
  3. Switch to the 'Programs' tab
  4. Turn on the 'Internet Explorer should check to see whether it is the default browser' checkbox
  5. Exit 'Internet Explorer'
  6. Launch 'Internet Explorer' again
  7. It should now prompt to make it the default browser - answer yes.
  8. Mulberry should now use your chosen web browser whenever a mailto http or https link is clicked.

Netscape Communicator

To have http links in Mulberry open your the 'Netscape' web browser when you click on them, you need to follow Netscape's own instructions.


GPG

Mulberry FAQ

How to setup GnuPG for use with Mulberry on Mac OS X

This page describes how you can make Mulberry work with GnuPG PGP software.

  • Introduction
  • Win32 Setup
  • Converting from NAI PGP

Introduction

GnuPG software is an implementation of PGP - Pretty Good Privacy. This software allows you to digitally sign and encrypt data. When used with Mulberry you can sign and/or encrypt email messages that you send, and verify and/or decrypt messages that you receive. Mulberry on unix has supported GnuPG for awhile, but on Mac OS X & Win32 Mulberry has previously supported the NAI PGP desktop software. We are now moving to support GnuPG.

Currently there is no graphical UI for managing pgp keys with GnuPG on Mac OS X or Win32 (there are some unix tools). For the time being you will need to run GnuPG directly from a terminal window or Command Prompt to manipulate keys.

To use Mulberry with GnuPG you must first download and install the GnuPG software itself, then download and install Mulberry's GPG plugin - details below for each OS.

Note: Currently Mulberry's GPG plugin requires the gpg binary to be in a specific location on each OS. At some point in the future we will relax this restriction.

Windows Setup

Download/Install GnuPG

Download the Win32 GnuPG software from the GnuPG site.

Create a 'gnupg' directory at the top-level of the C: drive.

Double-click the downlaoded zip file and extract the gpg.exe file to C:\gnupg.

Open a Command Prompt window from Start menu>Programs>Accessories.

cd into the gnupg directory, and type 'gpg --help' to make sure gpg is operating (you should see all the help output).

If you have used an alternative method to install gpg, you will have to make sure that the gpg.exe binary is in the C:\gnupg directory. Currently the Mulberry GPG plugin requires gpg.exe to be in C:\gnupg.

If you are doing a new install, create a new key-pair using 'gpg --gen-key' from the Command Prompt window.

Download/Install GPG Plugin

Download the Mulberry crypto installer that includes the GPG plugin.

Run the installer. By default this will install GPG and SSL plugins. If you don't want SSL, do a custom install of GPG only.

Run Mulberry.

You will be prompted for a registration code for the GPG plugin. If you have one enter it, otherwise run it as a demo.

Go to the About Plugins dialog box and make sure GPG appears in the Secure Messaging section. If not, double-check that the plugin is in the Mulberry Plug-ins directory and that gpg is installed correctly in C:\gnupg.

Converting from NAI PGP

To switch over to GnuPG from NAI PGP, you need to convert your public and private keyrings:

  1. In NAI PGP's PGPKeys application, select all the keys that appear.
  2. Choose the Export menu command from the Keys menu.
  3. Turn on 'Include Private Keys' in the resulting dialog, and enter your own file name or take note of the one provided by default.
  4. Copy the exported file into the directory containing the gpg binary.
  5. Open a terminal window and navigate to the directory containing the gpg binary.
  6. Execute 'gpg --allow-secret-key-import --import <<file>>', replacing <<file>> with the file name of the exported keys.
  7. Execute 'gpg --list-keys' to make sure the keys were properly imported.
  8. Execute 'gpg --list-secret-keys' to make sure the private keys were properly imported.

You should now be able to use gpg with the keys used previously with NAI PGP.

If you want to continue to use NAI PGP and GnuPG you will have to manually go through the export/import process each time the keyrings change.


Mail Import

Mulberry FAQ

How can I import mailboxes into Mulberry

IMPORTANT The procedure described below suggests copying the mailboxes during the import process. You should make sure you copy the original mailboxes rather than moving them, just in case some problem occurs and you need to go back to the originals.

Mulnberry's local mailbox format is the standard unix mailbox format. A number of other email applications also use this format. For other applications that use a different native mailbox format, there are usually built-in or third party conversion tools that will let you export into the unix mailbox format. Once you have mailbox files in that format it is easy to move them into Mulberry:

  1. Create a Local or POP3 mail account in Mulberry, or identify an existing one to use for the import.
  2. Make a note of the name you assigned to the account.
  3. Locate the directory Mulberry uses to store the mailboxes for the account on disk. By default this will be in the Mulberry directory in your personal Documents directory. Inside Mailboxes will be an Offline and POP3 directory, used for storage of Local or POP3 mail account mailboxes. Inside each of those will be a directory with the same name as the account. That's where mailboxes will be stored.
  4. Create a new directory inside the account directory on disk - call it something like 'Imports'.
  5. Locate the directory where your unix format mailboxes are stored.
  6. Copy all the files with .mbx extensions into the new Mulberry directory. Do not copy the files with .toc extensions as they are not needed.
  7. Restart Mulberry and look at your account. You should now see the Imports hierarchy containing your imported mailboxes.


Default mailto

Mulberry FAQ

How to make Mulberry your default mailto URL handler

When you first run Mulberry, it should prompt you as to whether you want to make it your default mailto handler application. If you choose to do so, clicking a mailto URL in other applications ought to automatically create a new draft in Mulberry with the appropriate details filled in. If you find this does not work, you can try the following procedures.

Internet Explorer

To use Mulberry with Internet Explorer you need to make sure that when you install Mulberry you answer 'Yes' to the dialog that asks whether you want to make Mulberry your default mailto handler. If you did not originally do this when installing, then follow these instructions first, otherwise go to the next set of instructions.

  1. Download the 'Mulberry-mailto.exe' application.
  2. Run this application.
  3. Answer 'Yes' to the first dialog.
  4. Answer 'No' to the second dialog (if you don't have a Netscape browser installed).

To configure Internet Explorer itself do this:

  1. Start Internet Explorer.
  2. Open the 'Options' dialog box.
  3. Click the 'Programs' tab.
  4. Select 'Mulberry' from the 'Mail' popup.
  5. Click OK.
  6. Internet Explorer should now use Mulberry whenever a mailto URL is clicked.

Netscape Communicator

To use Mulberry with Netscape Communicator you need to install a dll and modify your Netscape preference file by hand.

  1. Download the 'Mulberry-mailto.exe' application.
  2. Run this application.
  3. Answer 'Yes' to the first dialog.
  4. Answer 'Yes' to the second dialog.
  5. The installer will attempt to locate your copy of Communicator. If you have more than one installed you will be prompted to choose the one you want to operate on.
  6. Click 'OK' after reading the instructions dialog that will appear after the dll is installed.
  7. The installer will quit.
  8. Open the directory in which the Communicator application resides.
  9. Open the text file 'add_prefs.txt' and follow the instructions.
  10. The Netscape browser should now use Mulberry whenever a mailto URL is clicked.

    NB One of our sites has kindly made available a tool which they wrote that automates the above procedure, which anyone can download.
    DISCLAIMER: This tool is not supported by Cyrusoft International, Inc. and we can take no responsibility for its use.


Speech

Mulberry FAQ

How to make Mulberry work with Speech on Windows

Mulberry has text-to-speech support that will allow you to use spoken alerts for new mail, spoken filter actions and also speak the contents of a message.

To use speech support in Mulberry you need to in stall a suitable Speech engine, if one is not already present.

  1. Install the Microsoft Speech software version 5.1.
  2. Download and install it from here.